Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005011OCamlOCaml generalpublic2010-03-30 15:282010-04-06 16:00
ReporterChristoph Bauer 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.2 
Target VersionFixed in Version3.12.0+dev 
Summary0005011: labltk doesn't compile against Tcl/tk 8.6 (not yet releases)
Descriptionlabltk uses interp->result.

See http://www.tcl.tk/cgi-bin/tct/tip/330.html. [^]
TagsNo tags attached.
Attached Filespatch file icon tcltk86.patch [^] (62,413 bytes) 2010-04-02 14:39 [Show Content]

- Relationships
related to 0004700closedgarrigue dlltkanim.so wrongly linked 

-  Notes
(0005284)
furuse (reporter)
2010-04-01 03:26

I've never tried to compile it with 8.6 but I found in 8.5:

    /*
     * Note: the first three fields must match exactly the fields in a
     * Tcl_Interp struct (see tcl.h). If you change one, be sure to change the
     * other.
     *
     * The interpreter's result is held in both the string and the
     * objResultPtr fields. These fields hold, respectively, the result's
     * string or object value. The interpreter's result is always in the
     * result field if that is non-empty, otherwise it is in objResultPtr.
     * The two fields are kept consistent unless some C code sets
     * interp->result directly. Programs should not access result and
     * objResultPtr directly; instead, they should always get and set the
     * result using procedures such as Tcl_SetObjResult, Tcl_GetObjResult, and
     * Tcl_GetStringResult. See the SetResult man page for details.
     */

So the solution is to use Tcl_GetStringResult.
(0005289)
furuse (reporter)
2010-04-02 14:38

I have fixed the source to fix the problem. Can I commit it to the developer svn or attach the patch here ?
(0005290)
furuse (reporter)
2010-04-02 14:40

Attached a patch. It includes small fixes to remove warnings and removal of tkanim, which is discussed in the issue 4700.
(0005291)
xleroy (administrator)
2010-04-02 15:25

The patch looks good even though I don't know anything about TCL/TK :-) Feel free to commit in the SVN trunk. Thanks.
(0005294)
furuse (reporter)
2010-04-03 12:02

Patch committed to the trunk. Could you close this?
(0005296)
garrigue (manager)
2010-04-03 13:41

Fixed by Jun Furuse on 2010-04-02.

- Issue History
Date Modified Username Field Change
2010-03-30 15:28 Christoph Bauer New Issue
2010-04-01 03:26 furuse Note Added: 0005284
2010-04-02 14:38 furuse Note Added: 0005289
2010-04-02 14:39 furuse File Added: tcltk86.patch
2010-04-02 14:40 furuse Note Added: 0005290
2010-04-02 15:25 xleroy Note Added: 0005291
2010-04-03 12:02 furuse Note Added: 0005294
2010-04-03 13:41 garrigue Note Added: 0005296
2010-04-03 13:41 garrigue Status new => closed
2010-04-03 13:41 garrigue Resolution open => fixed
2010-04-03 13:41 garrigue Fixed in Version => 3.12.0+dev
2010-04-06 16:00 doligez Relationship added related to 0004700


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker